GET/module-templates/{moduleTemplateId}
Returns one module template with its content, question and request blocks in block order. Use
Advancing_GetModuleTemplates to find the moduleTemplateId. Requires the Advance Database read permission.
Path Parameters
| Field | Type | Required | Description |
|---|
| moduleTemplateId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| label | string| null | |
| icon | string| null | |
| color | string| null | |
| category | GetModuleTemplateResponseCategoryInfo| null | |
| blocks | GetModuleTemplateResponseBlockInfo[]| null | |
GetModuleTemplateResponseCategoryInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| icon | string| null | |
| color | string| null | |
GetModuleTemplateResponseBlockInfo
| Field | Type | Description |
|---|
| id | uuid | |
| index | integer | |
| type | string| null | |
| content | GetModuleTemplateResponseContentInfo| null | |
| question | GetModuleTemplateResponseQuestionInfo| null | |
| request | GetModuleTemplateResponseRequestInfo| null | |
GetModuleTemplateResponseContentInfo
| Field | Type | Description |
|---|
| content | string| null | |
GetModuleTemplateResponseQuestionInfo
| Field | Type | Description |
|---|
| id | uuid | |
| label | string| null | |
| questionText | string| null | |
| responseType | string| null | |
| responseOptions | GetModuleTemplateResponseOptionInfo[]| null | |
GetModuleTemplateResponseRequestInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| lineItemLabel | string| null | |
| isAdvanceApproved | boolean | |
| isResourceApproved | boolean | |
| isResourceRequest | boolean | |
| allowedResourceTypeIds | uuid[]| null | |
| requestProperties | GetModuleTemplateResponsePropertyInfo[]| null | |
GetModuleTemplateResponseOptionInfo
| Field | Type | Description |
|---|
| label | string| null | |
| type | string| null | |
| value | string| null | |
GetModuleTemplateResponsePropertyInfo
| Field | Type | Description |
|---|
| id | uuid | |
| index | integer | |
| label | string| null | |
| isRequired | boolean | |
| responseType | string| null | |
| responseOptions | GetModuleTemplateResponseOptionInfo[]| null | |